Package org.gradle.api.publish.ivy.tasks

# Class PublishToIvyRepository.RepositorySpec.DefaultRepositorySpec

java.lang.Object
org.gradle.api.publish.ivy.tasks.PublishToIvyRepository.RepositorySpec
org.gradle.api.publish.ivy.tasks.PublishToIvyRepository.RepositorySpec.DefaultRepositorySpec

Enclosing class:
  `PublishToIvyRepository.RepositorySpec`

static class PublishToIvyRepository.RepositorySpec.DefaultRepositorySpec extends PublishToIvyRepository.RepositorySpec

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.gradle.api.publish.ivy.tasks.PublishToIvyRepository.RepositorySpec

  `PublishToIvyRepository.RepositorySpec.Configured, PublishToIvyRepository.RepositorySpec.CredentialsSpec, PublishToIvyRepository.RepositorySpec.DefaultRepositorySpec`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultRepositorySpec(String name, URI repositoryUrl, boolean allowInsecureProtocol, PublishToIvyRepository.RepositorySpec.CredentialsSpec credentials, org.gradle.api.internal.artifacts.repositories.layout.AbstractRepositoryLayout layout, Set<String> artifactPatterns, Set<String> ivyPatterns, Collection<Authentication> authentications)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) IvyArtifactRepository`
  `get(org.gradle.internal.service.ServiceRegistry services)`

  ### Methods inherited from class org.gradle.api.publish.ivy.tasks.PublishToIvyRepository.RepositorySpec

  `of`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultRepositorySpec

    public DefaultRepositorySpec(String name, URI repositoryUrl, boolean allowInsecureProtocol, PublishToIvyRepository.RepositorySpec.CredentialsSpec credentials, org.gradle.api.internal.artifacts.repositories.layout.AbstractRepositoryLayout layout, Set<String> artifactPatterns, Set<String> ivyPatterns, Collection<Authentication> authentications)

- ## Method Details

  - ### get

    IvyArtifactRepository get(org.gradle.internal.service.ServiceRegistry services)
    Specified by:
      `get` in class `PublishToIvyRepository.RepositorySpec`